
kerio.waw.ui.interfaceAdvancedRuleEditor = {
x_m: function(x_n) {
this.x_ga = x_n; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
var x_11t = 'x_11e' === x_n;
var x_1d = {
x_1e: [
{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('DNS name', 'common')
},
{
x_1j: 'dnsName',
x_1l: true,
x_93: 127,
x_ge: true,
x_b6: {
x_b7: false
}
},
{
x_1f: 'x_1g',
x_br:25,
x_b2: 1,
x_1e: [
{
x_1f: 'x_7a',
x_7b: 'dialEnabled',
x_1o: true,
x_1s: '<span class="ruleProperties radio">&nbsp; &nbsp; &nbsp; &nbsp;</span>' + x_x('Dial', 'interfaceList')
},
{
x_1f: 'x_7a',
x_7b: 'dialEnabled',
x_1o: false,
x_1s: '<span class="ruleProperties radio block">&nbsp; &nbsp; &nbsp; &nbsp;</span>' + x_x('Ignore', 'common')
}
]
}
] };var x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
var x_10 = {
x_1v: 200,
x_1u: 300,
x_1y: x_x('DNS rule', 'common'),
x_1x: x_1c,

x_mc: function(x_32){
x_32.x_16.x_oa();
} }; var x_16 = new x_1b.x_26(this.x_ga, new x_fa.x_11k.x_11l(x_10));
this.x_2a(x_16);
if (x_o) {
x_1c.x_7f();
}
x_16.x_27(
{	x_n: x_n,
x_o: x_o,
x_11t: x_11t,
x_1c: x_1c
}
);x_1c.x_27(
{
x_16: x_16
}
);return x_16;
},
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
if (this.x_11t) {
x_28.x_47 = undefined; }
var x_o5 = x_28.x_47 ||
{ dnsName: '', dialEnabled: true}; this.x_o5 = x_28; this.x_1c.x_7k(x_o5);
this.x_9d = x_28.x_5d;
this.x_2e = x_28.x_2e;
};
x_2b.x_oa = function() {
var x_47 = this.x_1c.x_7i(true);
var x_o5 = this.x_o5;
if (this.x_11t) {
x_o5.x_47 = x_47;
}
else {
x_fi.x_iq(x_47, x_o5.x_47);
}
this.x_2e.call(this.x_9d, x_o5);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_1c.x_2h();
};
}}; 